Subject: Crosspost functions does not work correctly

From: Frank Haun <[email-masked]>
Date: Sat, 10 Oct 2015 23:13:40 +0200

Hi,

there is a problem with `message-cross-post-followup-to-header' and
`message-cross-post-followup-to' in message.el. Affected are all
Groups of `gnus-secondary-select-methods' and "foreign servers".

Example: Server is "nntp+reader.albasani.net" and assuming writing in
the group "de.test" and want a crosspost to "de.alt.test" with a
followup to "de.alt.test".

I get this header

| Newsgroups: de.test,nntp+reader.albasani.net:de.alt.test
| Followup-To: nntp+reader.albasani.net:de.alt.test

and this in the body.

| Crosspost & Followup-To: nntp+reader.albasani.net:de.alt.test

That is what `completing-read' in both functions offers. Trying to
send, I get:

| Really use this possibly unknown group: nntp+reader.albasani.net:de.alt.test? (y or n)

The header and the body message must be without the server prefix.

| Newsgroups: de.test,de.alt.test
| Followup-To: de.alt.test
|
| Crosspost & Followup-To: de.alt.test

For me, I fixed it with:

(setq target-group (replace-regexp-in-string "^.*:" "" target-group))

in the functions before `target-group' is used. However, I think
`complete-read' should behave like tabbing in the header which works
fine.

Hope this helps, my lisp is fairly poor.

Frank

Ma Gnus v0.14
GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
200 news.albasani.net InterNetNews NNRP server INN 2.5.3 (20110312 prerelease) ready (no posting)
100 Legal commands
  ARTICLE [message-ID|number]
  AUTHINFO USER name|PASS password|GENERIC program [argument ...]
  BODY [message-ID|number]
  CAPABILITIES [keyword]
  DATE
  GROUP newsgroup
  HDR header [message-ID|range]
  HEAD [message-ID|number]
  HELP
  IHAVE message-ID
  LAST
  LIST [ACTIVE [wildmat]|ACTIVE.TIMES [wildmat]|COUNTS [wildmat]|DISTRIB.PATS|DISTRIBUTIONS|HEADERS [MSGID|RANGE]|MODERATORS|MOTD|NEWSGROUPS [wildmat]|OVERVIEW.FMT|SUBSCRIPTIONS [wildmat]]
  LISTGROUP [newsgroup [range]]
  MODE READER
  NEWGROUPS [yy]yymmdd hhmmss [GMT]
  NEWNEWS wildmat [yy]yymmdd hhmmss [GMT]
  NEXT
  OVER [range]
  POST
  QUIT
  STARTTLS
  STAT [message-ID|number]
  XGTITLE [wildmat]
  XHDR header [message-ID|range]
  XOVER [range]
  XPAT header message-ID|range pattern [pattern ...]
Report problems to <[email-masked]>.
.